安装不了软件了 救命呀

为当前最终发行版之前的所有版本提供支持
回复
头像
xhylyx
帖子: 353
注册时间: 2007-04-09 15:19
送出感谢: 0
接收感谢: 0

安装不了软件了 救命呀

#1

帖子 xhylyx » 2007-12-13 15:00

今天看到一篇ubuntu十大软件,第一名就是automatix,然后就按照方法安装了,安装完更新源,更新过程中,在论坛上看到说这个软件对系统有危害,就终止了,终止不了然后我就登出重新登录,然后把automatix卸了,当我再想装其他软件时老提示这样的错误:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
下列软件包将被【卸载】:
python2.4
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 1 个软件包,有 8 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B 的软件包。
解压缩后将会空出 9519kB 的空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 108987 个文件和目录。)
正在删除 python2.4 ...

(update-desktop-database:16307): GLib-CRITICAL **: g_key_file_get_string_list: assertion `group_name != NULL' failed
Segmentation fault (core dumped)
dpkg:处理 python2.4 (--remove)时出错:
子进程·post-removal script·返回了错误号·139
在处理时有错误发生:
python2.4
E: Sub-process /usr/bin/dpkg returned an error code (1)

试了很多方法也还是弄不好,大家帮帮忙,谢谢了
头像
xhylyx
帖子: 353
注册时间: 2007-04-09 15:19
送出感谢: 0
接收感谢: 0

#2

帖子 xhylyx » 2007-12-13 16:54

自己已经解决了 ,方法是:
一. cd /var/lib/dpkg/info 回车
二.1. sudo rm python2.4.* 回车
2. sudo rm python2.4-doc.* 回车
3.sudo rm python2.4-minimal.* 回车
三.sudo apt-get -f install 回车
四.sudo apt-get update 回车
五.sudo apt-get install eva 回车就可以成功装上软件了
我现在发现一个规律就是如果发生了那种子进程返回错误的,都可以按照这个方法去到/var/lib/dpkg/info下把出错的相关文件都删了,然后就执行三和四的步骤一般都可以解决的,不知道大家试过没
我现在碰到的是python2.4返回错误 其他的还没碰到过
头像
xhylyx
帖子: 353
注册时间: 2007-04-09 15:19
送出感谢: 0
接收感谢: 0

#3

帖子 xhylyx » 2007-12-13 17:23

出现个小错误了 ,刚把这两个文件开头的文件都删了: python2.4-doc.* python2.4-minimal.*
现在安装软件还是可以安装,但是会出现dpkg的错误提示:找不到python2.4-doc.* python2.4-minimal.*文件
如果已经删了出现和我一样错误的朋友
可以打开新立得软件管理器
搜索python2.4
然后选定python2.4-doc和python2.4-minimal标记为重新安装-应用-装好就不会再提示dpkg错误了
好了,到此就彻底解决了子进程返回错误的问题了
头像
sonixrp
帖子: 505
注册时间: 2007-03-28 12:39
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 sonixrp » 2007-12-13 17:32

LZ真强,我记得python2.4 这东西好象有N多东西依赖它,所以我都没敢动它。
目前研究自编译内核,有兴趣的朋友一起来吧~
头像
xhylyx
帖子: 353
注册时间: 2007-04-09 15:19
送出感谢: 0
接收感谢: 0

#5

帖子 xhylyx » 2007-12-13 20:19

呵呵 没办法阿 都是被逼的 已经抱着一种弄不好就重装的心态了
回复

回到 “老旧版本支持”